Skip to main content

eth_getBlockTransactionCountByNumber

POST

Returns the number of transactions in a block by block number.
param[0]
blockNumberOrTagstringrequired
Specifies the block to query. Pass a hexadecimal block number or a block tag.Unlike Ethereum, TRON supports only a limited set of tags.
  • latest: The most recent block.
  • earliest: The oldest available block.
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://tron-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "eth_getBlockTransactionCountByNumber",
"params": [
"0x20ef11c"
]
}'